Subject: Please consider standing for the ISOC Board of Trustees

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 21 Feb 2013 20:09:51 -0000

Hi,

The IAB are taking nominations for their appointment to the ISOC Board of
Trustees.

See their announcement at:
https://www.ietf.org/ibin/c5i?mid=6&rid=49&gid=0&k1=934&k2=11676&tid=1361477230

Is this a job you could do? Do you know someone who could do this job?

Thanks,
Adrian